Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79910 - LTC Bugzilla 1467 - RPC Timeout - rpc.rstad terminates abnormally
Summary: LTC Bugzilla 1467 - RPC Timeout - rpc.rstad terminates abnormally
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils
Version: 7.1
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-17 23:47 UTC by Kaena Freitas
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-21 17:16:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:190 normal SHIPPED_LIVE : Updated 2.4 kernel for pSeries and iSeries fixes vulnerabilities 2003-06-25 04:00:00 UTC

Description Kaena Freitas 2002-12-17 23:47:27 UTC
Please fill in each of the sections below.

*******************************************************************************
Hardware Environment:

2 p640 4-way machines (model:7026-B80). One is the client and the other one is
the server.

# cat /proc/cpuinfo
processor	: 0
cpu		: POWER3 (630+)
clock		: 375MHz
revision	: 1.4
bogomips	: 374.99

processor	: 1
cpu		: POWER3 (630+)
clock		: 375MHz
revision	: 1.4
bogomips	: 374.99

processor	: 2
cpu		: POWER3 (630+)
clock		: 375MHz
revision	: 1.4
bogomips	: 374.99

processor	: 3
cpu		: POWER3 (630+)
clock		: 375MHz
revision	: 1.4
bogomips	: 374.99

total bogomips	: 1499.99
machine		: CHRP IBM,7026-B80

# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda2             249M  130M  106M  55% /
/dev/sda6             4.1G   44k  3.9G   1% /home
/dev/sda7             4.1G  1.3G  2.6G  33% /usr
/dev/sda8             249M   36M  200M  16% /var

********************************************************************************
Software Environment:

LTP 20021008 release.

Red Hat Linux release 7.1 (Seawolf)
Linux rh2lte.apt.austin.ibm.com 2.4.9-23.19.7 #1 SMP Tue Oct 8 17:12:46 CDT 2002
ppc64 unknown
 
Gnu C                  2.96
Gnu make               3.79.1
binutils               2.10.91.0.2
util-linux             2.11f
mount                  2.11g
modutils               2.4.14
e2fsprogs              1.26
PPP                    2.4.0
isdn4k-utils           3.1pre1
Linux C Library        2.2.4
Dynamic linker (ldd)   2.2.4
Procps                 2.0.7
Net-tools              1.57
Console-tools          0.3.3
Sh-utils               2.0
Modules Loaded         nfs nfsd lockd sunrpc autofs4 pcnet32 md

********************************************************************************
Steps to Reproduce:
1.Install LTP
2.Run networktests.sh under LTP home directory.
3.Or you can run ./rup01 under its directory.

********************************************************************************
Actual Results:

Result from output:
<<<test_start>>>
tag=rup stime=1036119616
cmdline="export TCbin=$LTPROOT/testcases/network/rpc/rup; rup01"
contacts=""
analysis=exit
initiation_status="ok"
<<<test_output>>>
Checking for rstatd on rh2lte.apt.austin.ibm.com
Attempting to start rstatd on rh2lte.apt.austin.ibm.com
rstatd started on rh2lte.apt.austin.ibm.com
Test rup with defaults....please be patient
rup
ape-e6.apt.austin.ibm.co up 120 days,  1:44,    load average: 11.08 11.35 11.38
Test rusers with options set...please be patient
rup rh2lte.apt.austin.ibm.com
rup: rh2lte.apt.austin.ibm.com: RPC: Timed out

: doing /root/ltp-20021008/testcases/bin/rup01.
bash: kill: (30841) - No such pid
rstatd daemon stopped on rh2lte.apt.austin.ibm.com 
Test Failed: rup rh2lte.apt.austin.ibm.com - failed

********************************************************************************
Expected Results: Test should pass.

********************************************************************************
Additional Information:
The test starts rpc.rstatd if it is not started on remote machine. But after
that it can not stay stable. It terminates abnormally before the test finishes.

Comment 1 Kaena Freitas 2003-05-21 17:16:29 UTC
This is fixed in RHEL 3.0

Comment 2 Guy Streeter 2003-06-25 17:40:43 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-190.html



Note You need to log in before you can comment on or make changes to this bug.